Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.model
Class UnsupportedDataException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.fourthline.cling.model.UnsupportedDataException

All Implemented Interfaces:
  Serializable

    public class UnsupportedDataException

extends RuntimeException

Thrown by processors/converters when errors occurred.

This exception indicates that received data was in an invalid format and/or could not be parsed or converted. You typically can recover from this failure after catching (and logging?) the exception.

Author:
  Christian Bauer
See Also:
  Serialized Form

Field Summary
`protected Object` | `data`

Constructor Summary
`UnsupportedDataException(String s)`
`UnsupportedDataException(String s, Throwable throwable)`
`UnsupportedDataException(String s, Throwable throwable, Object data)`

Method Summary
`Object` | `getData()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### data

    protected Object data

Constructor Detail

### UnsupportedDataException

    public UnsupportedDataException(String s)

### UnsupportedDataException

    public UnsupportedDataException(String s,
                                    Throwable throwable)

### UnsupportedDataException

    public UnsupportedDataException(String s,
                                    Throwable throwable,
                                    Object data)

Method Detail

### getData

    public Object getData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.